﻿@model Instantly.Models.User
@*
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link active" href="/Account/Profile/Orders">Замовлення</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="/Account/Profile/Reviews">Відгуки</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="/Account/Profile/Settings">Налаштування</a>
        </li>
    </ul>
*@

<ul class="nav nav-tabs">
    <li class="nav-item">
        <a class="nav-link active" asp-controller="Account" asp-action="Profile" asp-route-page="Orders">Замовлення</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" asp-controller="Account" asp-action="Profile" asp-route-page="Reviews">Відгуки</a>
    </li>
    @if (Model.Email == User.Identity.Name)
    {
        <li class="nav-item">
            <a class="nav-link" asp-controller="Account" asp-action="Profile" asp-route-page="Settings">Налаштування</a>
        </li>
    }
</ul>

@if (Model.Orders.Count == 0)
{
    <p style="margin-top: 20px; color: darkgray;">Замовлень немає</p>
}
@foreach (Order order in Model.Orders)
{
    <div class="card-body">
        <h5 class="card-title">
            @if (Model.Email == User.Identity.Name)
            {
                switch (@order.OrderStatus.Name)
                {
                    case "Розміщене":
                        <span class="badge badge-success">@order.OrderStatus.Name</span>
                        break;
                    case "Нове":
                        <span class="badge badge-primary">@order.OrderStatus.Name</span>
                        break;
                    case "На виконанні":
                        <span class="badge badge-info">@order.OrderStatus.Name</span>
                        break;
                    case "Виконане":
                        <span class="badge badge-light">@order.OrderStatus.Name</span>
                        break;
                    case "Закрите":
                        <span class="badge badge-danger">@order.OrderStatus.Name</span>
                        break;
                    case "В архіві":
                        <span class="badge badge-secondary">@order.OrderStatus.Name</span>
                        break;
                }
            }
            @order.Title <span class="badge badge-success">@order.Price грн</span>
        </h5>
        <p class="card-text">@order.About</p>
        <a asp-controller="Orders" asp-action="Details" asp-route-id="@order.OrderId" class="btn btn-primary">Переглянути</a>
        @if (Model.Email == User.Identity.Name)
        {
            <a asp-controller="Orders" asp-action="Edit" asp-route-id="@order.OrderId" class="btn btn-outline-primary">Редагувати</a>
        }
    </div>
    <br />
}